## dbeacon 0.3.9.1

=== Makefile ===
CXX ?= g++
CXX_SUN = $(shell $(CXX) -V 2>&1 | grep 'Sun C++' >/dev/null && echo yes)
ifeq ($(CXX_SUN),yes)
	CXXFLAGS += -g -xs
else
	CXXFLAGS += -g -Wall
endif

PREFIX ?= /usr/local

OBJS = dbeacon.o dbeacon_posix.o protocol.o ssmping.o

OS = $(shell uname -s)

ifeq ($(OS), SunOS)
	CXXFLAGS += -DSOLARIS
	ifeq ($(CXX_SUN), yes)
		CXXFLAGS += -D_XPG4_2 -D__EXTENSIONS__
	endif
	LDFLAGS = -lnsl -lsocket
endif

all: dbeacon

dbeacon: $(OBJS)
	$(CXX) $(CXXFLAGS) -o dbeacon $(OBJS) $(LDFLAGS)

dbeacon.o: dbeacon.cpp dbeacon.h address.h msocket.h protocol.h

dbeacon.h: address.h

msocket.h: address.h

protocol.h: address.h

dbeacon_posix.o: dbeacon_posix.cpp dbeacon.h msocket.h address.h

protocol.o: protocol.cpp dbeacon.h protocol.h

ssmping.o: dbeacon.h address.h msocket.h

install: dbeacon
	install -D dbeacon $(DESTDIR)$(PREFIX)/bin/dbeacon

install_mans:
	install -D docs/dbeacon.1 $(DESTDIR)$(PREFIX)/share/man/man1/dbeacon.1

clean:
	rm -f dbeacon $(OBJS)

## dbeacon 0.3.9.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ifeq ($(CXX_SUN),yes)
 	CXXFLAGS += -g -xs
 else
-	CXXFLAGS += -g -Wall
+	CXXFLAGS += -g -Wall -O2 -fno-strict-aliasing
 endif
 
 PREFIX ?= /usr/local

=== debian/changelog ===
dbeacon (0.3.9.3-2) unstable; urgency=low

  * Add a patch that modified a setsockopt() argument to re-enable ssmping
    functionality with IPv6, broken by newer kernels.
  * Change the init script to support multiple dbeacon instances, started
    using configs from /etc/dbeacon/*.conf. Since old installations used
    /etc/dbeacon/dbeacon.conf, this is backwards-compatible.
  * Add support for the status action in the init script.
  * Remove Vcs-Svn & Vcs-Browser, since they don't exist anymore.
  * Minor fixes to the package's description, thanks to lintian.
  * Remove obsolete Depends/Recommends.
  * Update to Standards-Version 3.9.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 23 Dec 2011 14:29:59 +0200

dbeacon (0.3.9.3-1) unstable; urgency=low

  * Switch to debhelper 7 & dh.
  * Add ${misc:Depends} to Depends.
  * Use Vcs-* headers instead of the deprecated XS-Vcs ones.
  * Require $remote_fs on init script's LSB headers, since we use /usr (thanks
    lintian!)
  * Update to Standards-Version 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format to use an orig.tar.bz2 among
    other things.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 10 Feb 2010 17:45:22 +0200

dbeacon (0.3.9.1-1) unstable; urgency=low

  * First upload to Debian (Closes: #430622).
  * Several packaging changes.

 -- Faidon Liambotis <paravoid@debian.org>  Mon,  2 Jul 2007 11:39:13 +0300

dbeacon (0.3.9-1) unstable; urgency=low

  * Updated to 0.3.9.

 -- Hugo Santos <hugo@fivebits.net>  Fri, 17 Feb 2006 21:16:23 +0000

dbeacon (0.3.8) unstable; urgency=low

  * Updated to 0.3.8.

 -- Hugo Santos <hugo@fivebits.net>  Mon,  5 Sep 2005 13:05:14 +0100

dbeacon (0.3.7) unstable; urgency=low

  * Updated to 0.3.7.

 -- Hugo Santos <hugo@fivebits.net>  Wed, 10 Aug 2005 16:31:56 +0100

dbeacon (0.3.6) unstable; urgency=low

  * Updated to 0.3.6.

 -- Hugo Santos <hugo@fivebits.net>  Tue, 26 Jul 2005 23:07:38 +0100

dbeacon (0.3.5) unstable; urgency=low

  * Upstream version update.

 -- Hugo Santos <hugo@fivebits.net>  Sun, 10 Apr 2005 02:19:57 +0100

dbeacon (0.3.2) unstable; urgency=low

  * Another version bump.

 -- Hugo Santos <hugo@fivebits.net>  Thu,  7 Apr 2005 12:42:18 +0100

dbeacon (0.3.1) unstable; urgency=low

  * Bumped version

 -- Hugo Santos <hugo@fivebits.net>  Wed,  6 Apr 2005 02:25:01 +0100

dbeacon (0.3) unstable; urgency=low

  * Bumped version

 -- Hugo Santos <hugo@fivebits.net>  Tue,  5 Apr 2005 01:39:52 +0100

dbeacon (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hugo Santos <hugo@fivebits.net>  Sun,  19 Mar 2005 18:19:00 +0000

=== debian/control ===
Source: dbeacon
Section: net
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.2

Package: dbeacon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: libxml-parser-perl, ${perl:Depends}
Suggests: librrds-perl
Description: Multicast beacon
 dbeacon is a multicast beacon: its main purpose is to monitor other beacons'
 reachability and collect statistics such as loss, delay and jitter between 
 them.
 .
 dbeacon supports both IPv4 and IPv6 multicast, collecting information using
 both Any Source Multicast (ASM) and Source-Specific Multicast (SSM).
 .
 This package also includes dbeacon matrix, a Perl script to generate beacon
 reachability matrices in HTML.

## dbeacon 0.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ifeq ($(CXX_SUN),yes)
 	CXXFLAGS += -g -xs
 else
-	CXXFLAGS += -g -Wall -O2 -fno-strict-aliasing
+	CXXFLAGS += -g -Wall -O2
 endif
 
 PREFIX ?= /usr/local

=== debian/changelog ===
dbeacon (0.4.0-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Remove retired Uploader, make Package Salvage team Maintainer since
    pkg-netmeasure team does not yet exist any more
    Closes: #986958
  * Add debian/README.Debian
  * Add watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Drop unnecessary dh arguments: --with=systemd
  * Fix day-of-week for changelog entry 0.1-1.
  * Drop lsb-base from Depends
  * DEP5

  [ Raoul Gunnar Borenius ]
  * Fix XSS Vulnerability in matrix.pl
    Closes: #1031542

 -- Andreas Tille <tille@debian.org>  Sun, 13 Oct 2024 15:28:52 +0200

dbeacon (0.4.0-2) unstable; urgency=medium

  [ Ana C. Custura ]
  * Adds service file for running dbeacon as user dbeacon

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 21:09:54 +0000

dbeacon (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Removed rfc3542-ipv6recvpktinfo patch, applied upstream
  * Added format-security.patch:
   - Fixes an unsafe call to syslog() in dbeacon.cpp.
  * debian/control:
   - Maintainer now set to the Internet Measurement Packaging Team with
     myself as uploader.
   - Debhelper version bumped to 9, compat level set to 9.
   - Standards version bumped to 3.9.8.
   - Set a homepage for the upstream repository
   - Set Vcs-* fields for the pkg-netmeasure VCS.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 20 Jun 2016 22:47:26 +0100

=== debian/control ===
Source: dbeacon
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/dbeacon
Vcs-Git: https://salsa.debian.org/salvage-team/dbeacon.git
Homepage: https://github.com/uoaerg/dbeacon/
Rules-Requires-Root: no

Package: dbeacon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: libxml-parser-perl, ${perl:Depends}
Suggests: librrds-perl
Description: Multicast beacon
 dbeacon is a multicast beacon: its main purpose is to monitor other beacons'
 reachability and collect statistics such as loss, delay and jitter between
 them.
 .
 dbeacon supports both IPv4 and IPv6 multicast, collecting information using
 both Any Source Multicast (ASM) and Source-Specific Multicast (SSM).
 .
 This package also includes dbeacon matrix, a Perl script to generate beacon
 reachability matrices in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	chmod +x contrib/matrix.pl

override_dh_installinit:
	dh_installinit --no-start --noscripts

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/uoaerg/dbeacon/tags (?:.*?/)?@PACKAGE@-(\d[\d.]*)\.tar\.gz
